<?php
/*-------------------------------------------------------
*
*   Expoll.
*   Copyright © 2012 Alexei Lukin
*
*--------------------------------------------------------
*
*   Official site: http://kerbystudio.ru
*   Contact e-mail: kerby@kerbystudio.ru
*
---------------------------------------------------------
*/

/**
 * Запрещаем напрямую через браузер обращение к этому файлу.
 */
if (!class_exists('Plugin'))
{
    die('Hacking attempt!');
}

class PluginExpoll extends Plugin
{

    protected $aInherits=array(
        'module'=>array(),
        'action'=>array(
            'ActionQuestion',
            'ActionTopic',
            'ActionAjax',
            'ActionAdmin',
        ),
        'mapper'=>array('ModuleTopic_MapperTopic'),
        'entity'=>array('ModuleTopic_EntityTopic'),
    );


    public function Activate()
    {
        if (!$this->isTableExists('prefix_expoll_question'))
        {
            /**
             * При активации выполняем SQL дамп
             */
            $this->ExportSQL(dirname(__FILE__) . '/install.sql');
        }
        if (!$this->isTableExists('prefix_expoll_block'))
        {
            /**
             * При активации выполняем SQL дамп
             */
            $this->ExportSQL(dirname(__FILE__) . '/install-1.1.sql');
        }
        return true;
    }

    public function Deactivate()
    {
        return true;
    }

    /**
	 * Инициализация плагина
	 */
    public function Init()
    {
        $this->Viewer_AppendScript(PluginExpoll::GetTemplateFilePath(__CLASS__,'js/script.js'));
        $this->Viewer_AppendScript(PluginExpoll::GetTemplateFilePath(__CLASS__,'js/jquery.ui.sortable.js'));
        $this->Viewer_AppendScript(PluginExpoll::GetTemplateFilePath(__CLASS__,'js/jquery-ui-timepicker-addon.js'));

        $this->Viewer_AppendStyle(PluginExpoll::GetTemplateFilePath(__CLASS__,'css/style.css'));
        $this->Viewer_AppendStyle(PluginExpoll::GetTemplateFilePath(__CLASS__,'css/skin.css'));
        $this->Viewer_AppendStyle(PluginExpoll::GetTemplateFilePath(__CLASS__,'css/jquery-ui-timepicker-addon.css'));
    }

    static public function GetTemplateFilePath($sPluginClass,$sFileName)
    {
        $sPP=Plugin::GetTemplatePath($sPluginClass);
        $fName=$sPP . $sFileName;
        if (file_exists($fName))
            return $fName;
        
        $aa=explode("/", $sPP);
        array_pop($aa);
        array_pop($aa);
        $aa[]='default';
        $aa[]='';
        return join("/", $aa) . $sFileName;
    }

    static public function GetTemplateFileWebPath($sPluginClass,$sFileName)
    {
        return str_replace(Config::Get('path.root.server'), Config::Get('path.root.web'), PluginExpoll::GetTemplateFilePath($sPluginClass, $sFileName));
    }

}


?>