<?php
/*-------------------------------------------------------
*
*   Expoll.
*   Copyright © 2012 Alexei Lukin
*
*--------------------------------------------------------
*
*   Official site: http://kerbystudio.ru
*   Contact e-mail: kerby@kerbystudio.ru
*
---------------------------------------------------------
*/

return array(
    'menu_admin_blocks'=>'Poll blocks administration',
    'title_header_poll'=>'Poll',
    'title_polls_in_blocks'=>'Active polls in blocks',
    'title_remove_poll_from_block'=>'Remove poll from block',

    'confirm_remove_poll_from_block'=>'Are you SURE you want to remove this poll from block?',
    'confirm_timelimit'=>'Are you sure you want to limit this poll in time? Nobody will be able to vote once time has passed.',

    'error_question_length'=>'Choice length should be in range of '.Config::Get('plugin.expoll.min_question_length').'..'.Config::Get('plugin.expoll.max_question_length'),
    'error_title_length'=>'Poll title should not be longer than '.Config::Get('plugin.expoll.max_title_length'),
    'error_poll_not_found'=>'Poll not found in blocks',

    'error_minimum_two'=>'There should be at least two poll answers',
    'error_empty_questions'=>'There should be no empty or same answers',
    'error_wrong_multivote_value'=>'Wrong count of multiply answers. Should integer and no less than zero',
    'error_max_answer_count'=>'You already checked maximum number of answers - ',
    'error_already_voted'=>'You already voted',
    'error_edit_already_voted'=>'Poll editing has not been saved, because there are votes,',
    'error_no_answers'=>'You did not choose any answer',

    'error_finishdate_less_now'=>'Finish time of poll should not be earlier than current time',
    'error_cant_use_block'=>"You can't use this block",

    'question_placeholder'=>'Enter possible choice text...',

    'msg_to_poll_topic'=>'Open poll topic',

    'msg_add_poll'=>'Add poll',
    'msg_add_question'=>'Add new answer',

    'msg_poll_deleted'=>'Poll removed from block',

    'msg_vote_single'=>'Choose one answer',
    'msg_vote_multi'=>'Check several answers',
    'msg_vote_multi_order'=>'Choose several answers and drag them to set in descending order',

    'msg_vote_max_count'=>'. You can choose only %%count%%.',

    'msg_vote'=>'Vote!',
    'msg_vote_abstain'=>'Abstain',
    'msg_vote_unregistered'=>'Only for registered users',

    'msg_action_move'=>'Drag to move answer',
    'msg_action_delete'=>'Delete',

    'confirm_delete_question'=>'Are you SURE you want to delete this answer?',

    'label_question_title'=>'Subject of poll (if not as same as topic title)',
    'label_question_list'=>'Possible choices',
    'label_questions_before'=>'Poll is before topic text',
    'label_questions_after'=>'Poll is after topic text',
    'label_multivote'=>'Multiply answers allowed',
    'label_multivote_count'=>'Maximum number of answers chosen (0 - infinite)',
    'label_multivote_use_order'=>'Answers order is important (order will be changed by dragging answers)',
    'label_timelimit'=>'Poll is limited in time',
    'label_timelimit_finish'=>'Voting ends on',

    'label_use_block'=>'Put poll into block',
    'label_choose_block'=>'Choose block(s)',
    'label_block_period'=>'Period',

    'label_poll_closed'=>'Poll is closed',
    'label_poll_will_be_closed'=>'Poll will be closed on',

    'poll_block_title_main'=>'Main block',
    'poll_block_title_фвв_main'=>'Additional main block',

    'block_title'=>'Poll',
);

?>