<script type="text/javascript">
    jQuery(document).ready(function () {
        $(".expoll-poll").sortable();
        ls.lang.load({lang_load name="plugin.expoll.confirm_delete_question,plugin.expoll.confirm_timelimit"});
        $.extend(ls.expoll.templates, {json var=$aPollTemplates});
    });
</script>
{if !$bExpollEditingDisabled}
    {assign var=sExpollHidden value=''}
{else}
    {assign var=sExpollHidden value='style="display:none"'}
{/if}
{assign var=bPollEdit value=count($_aRequest.expoll_questions)>0}
<section id="expoll_topic" class="expoll-editor block">
    <button type="button"
            class="button input-text input-width-full button-width-full js-expoll-add-poll"{if count($_aRequest.expoll_questions.text)} style="display:none"{/if}>{$aLang.plugin.expoll.msg_add_poll}</button>
    <div class="expoll-body" {if !count($_aRequest.expoll_questions.text)} style="display:none"{/if}>
        <header class="block-header"><h3>{$aLang.plugin.expoll.title_header_poll}</h3></header>
        <div class="block-content">
            <div class="expoll-field mb20" {$sExpollHidden}>
                <label class="checkbox" for="expoll_question_title">{$aLang.plugin.expoll.label_question_title}:</label>
                <input {$sExpollHidden} type="input" name="expoll_question_title" id="expoll_question_title" class="input-text input-width-full"
                                        value="{$_aRequest.expoll_question_title}"/>
            </div>
            <div class="expoll-field mb20">
                <label class="checkbox" for="expoll_question_list">{$aLang.plugin.expoll.label_question_list}:</label>
                <ul class="expoll-poll" id='expoll_question_list'>
                    {if $bPollEdit}
                        {foreach from=$_aRequest.expoll_questions.text item=sExpollQuestionText key=sExpollKey}
                            {assign var=sTemp value=PluginExpoll::GetTemplateFilePath('PluginExpoll','inject_new_question.tpl')}
                            {include file=$sTemp sExpollQuestionId=$_aRequest.expoll_questions.id[$sExpollKey]}
                        {/foreach}
                    {/if}
                </ul>
            </div>
            <button {$sExpollHidden} type="button" class="button input-text input-width-full button-width-full js-expoll-add-question mb10">{$aLang.plugin.expoll.msg_add_question}</button>
            <div class="expoll-field" {$sExpollHidden}>
                <label class="inline checkbox button-width-half-left" for="expoll_questions_before">
                    <input {$sExpollHidden} type="radio" name="expoll_questions_after" id="expoll_questions_before" class="input-checkbox"
                                            value="0" {if $_aRequest.expoll_questions_after!=1}checked{/if} />&nbsp;{$aLang.plugin.expoll.label_questions_before}</label>
                <label class="inline checkbox button-width-half-right" for="expoll_questions_after">
                    <input {$sExpollHidden} type="radio" name="expoll_questions_after" id="expoll_questions_after" class="input-checkbox"
                                            value="1" {if $_aRequest.expoll_questions_after==1}checked{/if} />&nbsp;{$aLang.plugin.expoll.label_questions_after}
                </label>
            </div>
            <div class="expoll-field" {$sExpollHidden}>
                <label class="checkbox">
                    <input {$sExpollHidden} type="checkbox" onchange="ls.expoll.changeMultivote(this);" name="expoll_multivote" class="input-checkbox"
                                            value="1" {if $_aRequest.expoll_multivote==1}checked{/if} />&nbsp;{$aLang.plugin.expoll.label_multivote}
                </label>
            </div>
            <div class="expoll-field ml40 " {if $_aRequest.expoll_multivote!=1}style="display:none"{/if} {$sExpollHidden}>
                <label>
                    {$aLang.plugin.expoll.label_multivote_count}:&nbsp;<input {$sExpollHidden} type="text" name="expoll_multivote_count" class="expoll-number"
                                                                                               value="{if $_aRequest.expoll_multivote_count}{$_aRequest.expoll_multivote_count}{else}0{/if}"/>
                </label>

                <div class="expoll-field">
                    <label class="checkbox">
                        <input {$sExpollHidden} type="checkbox" name="expoll_multivote_use_order" class="input-checkbox"
                                                value="1" {if $_aRequest.expoll_multivote_use_order==1}checked{/if} />&nbsp;{$aLang.plugin.expoll.label_multivote_use_order}
                    </label>
                </div>
            </div>

            <div class="expoll-field">
                <label class="checkbox">
                    <input type="checkbox" onchange="ls.expoll.changeTimelimit(this);" name="expoll_timelimit" class="input-checkbox"
                           value="1" {if $_aRequest.expoll_timelimit==1}checked{/if} />&nbsp;{$aLang.plugin.expoll.label_timelimit}
                </label>
            </div>
            <div class="expoll-field ml40 " {if $_aRequest.expoll_timelimit!=1}style="display:none"{/if}>
                <div class="expoll-field">
                    <label>{$aLang.plugin.expoll.label_timelimit_finish}:</label>
                    <input type="text" name="expoll_timelimit_finish" value="{$_aRequest.expoll_timelimit_finish}" style="width: 43%" class="input-text datetime-picker" readonly="readonly"/>
                </div>
            </div>

            {if $bExpollAllowBlockEdit}
                <div class="expoll-field">
                    <label class="checkbox">
                        <input type="checkbox" onchange="ls.expoll.changeBlock(this);" name="expoll_use_block" class="input-checkbox"
                               value="1" {if $_aRequest.expoll_use_block==1}checked{/if} />&nbsp;{$aLang.plugin.expoll.label_use_block}
                    </label>
                </div>
                <div class="expoll-field ml40" {if $_aRequest.expoll_use_block!=1}style="display:none"{/if}>
                    <label>{$aLang.plugin.expoll.label_choose_block}:</label>
                    {foreach from=$oConfig->Get('plugin.expoll.poll_blocks') item=sBlock key=sId}
                        {if LS::E()->PluginExpoll_Expoll_CanPutInBlockSingle($oUserCurrent,$sId)}
                            {assign var=sTemp value=LS::E()->Lang_Get($sBlock)}
                            <label class="checkbox"><input type="checkbox" name="expoll_block_id[]" class="input-checkbox" value="{$sId}"
                                                           {if in_array($sId,$_aRequest.expoll_block_id)}checked="checked"{/if}/>{$sTemp|escape:'html'}</label>
                            <div class="expoll-field">
                                <label>{$aLang.plugin.expoll.label_block_period}:</label>
                                <input type="text" name="expoll_date_start[{$sId}]" value="{$_aRequest.expoll_date_start[$sId]}" style="width: 43%" class="input-text datetime-picker" readonly="readonly"/> &mdash;
                                <input type="text" name="expoll_date_finish[{$sId}]" value="{$_aRequest.expoll_date_finish[$sId]}" style="width: 43%" class="input-text datetime-picker" readonly="readonly"/>
                            </div>
                        {/if}
                    {/foreach}

                </div>
            {/if}
            {if $bExpollEditingDisabled}
                {if $_aRequest.expoll_multivote==1}
                    <div>{$aLang.plugin.expoll.label_multivote}</div>
                    <div>{$aLang.plugin.expoll.label_multivote_count}: {$_aRequest.expoll_multivote_count}</div>
                    <div>{if $_aRequest.expoll_multivote_use_order==1}{$aLang.plugin.expoll.label_multivote_use_order}{/if}</div>
                {/if}
            {/if}
        </div>
    </div>
</section>