<?php
/*-------------------------------------------------------
*
*   Expoll.
*   Copyright © 2012 Alexei Lukin
*
*--------------------------------------------------------
*
*   Official site: http://kerbystudio.ru
*   Contact e-mail: kerby@kerbystudio.ru
*
---------------------------------------------------------
*/


$config=array();

/** Минимальная длина варианта ответа в символах */
$config['min_question_length']=2;

/** Максимальная длина варианта ответа в символах */
$config['max_question_length']=250;

/** Маскимальная длина предмета опроса */
$config['max_title_length']=250;

/** Массив блоков голосования id=>языковый_ид названия */
$config['poll_blocks']=array(
  'main'=>'plugin.expoll.poll_block_title_main',
  'add_main'=>'plugin.expoll.poll_block_title_add_main',
);

/** Массив логинов пользователей, кто может помещать голосования в блоки.
 * Пустой массив означает, что любой пользователь может это делать, отсутствие массива означает, что никто кроме администраторов.
 * Кроме тех, кто в черном списке */
$config['block_managers']=array(
    'main'=>array('admin'),
);

/** Массивы, по-блочно, логинов пользователей, кто НЕ МОЖЕТ помещать голосования в заданые блоки. */
$config['block_managers_black']=array(
    'main'=>array(),
);

/** Количество дней, на которое опрос размещается в блоке по-умолчанию */
$config['block_days']=30;

/** Количество дней, на которое опрос ограничивается по-умолчанию */
$config['limit_days']=30;

Config::Set('block.rule_expoll', array(
    'action' => 'index',
    'blocks' => array(
        'right' => array(
            'expoll' => array(
                'params' => array(
                    'plugin' => 'expoll',
//                    'topic_id'=>array(20,14,16,11),
                    'block_id'=>'main',
                ),
                'priority' => 1000,
            ),
        )
    )
));

return $config;
?>
