ALTER TABLE  `prefix_topic` ADD  `topic_expoll` BOOLEAN NOT NULL DEFAULT FALSE;

CREATE TABLE IF NOT EXISTS `prefix_expoll_answer` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `topic_id` int(11) unsigned NOT NULL,
  `user_id` varchar(32) NOT NULL,
  `question_id` int(11) unsigned DEFAULT NULL,
  `weight` int(10) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `prefix_expoll_answer_0` (`question_id`),
  KEY `prefix_expoll_answer_1` (`topic_id`),
  KEY `tu` (`topic_id`,`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `prefix_expoll_question`
--

CREATE TABLE IF NOT EXISTS `prefix_expoll_question` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `topic_id` int(11) unsigned NOT NULL,
  `text` varchar(250) NOT NULL,
  `order` int(2) unsigned NOT NULL DEFAULT '0',
  `weight` int(10) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  UNIQUE KEY `topic_id` (`topic_id`,`id`),
  KEY `prefix_expoll_question_1` (`topic_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

--
-- Ограничения внешнего ключа сохраненных таблиц
--

--
-- Ограничения внешнего ключа таблицы `prefix_expoll_answer`
--
ALTER TABLE `prefix_expoll_answer`
ADD CONSTRAINT `prefix_expoll_answer_1` FOREIGN KEY (`topic_id`) REFERENCES `prefix_topic` (`topic_id`) ON DELETE CASCADE ON UPDATE CASCADE,
ADD CONSTRAINT `prefix_expoll_answer_2` FOREIGN KEY (`question_id`) REFERENCES `prefix_expoll_question` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ограничения внешнего ключа таблицы `prefix_expoll_question`
--
ALTER TABLE `prefix_expoll_question`
ADD CONSTRAINT `prefix_expoll_question_1` FOREIGN KEY (`topic_id`) REFERENCES `prefix_topic` (`topic_id`) ON DELETE CASCADE ON UPDATE CASCADE;
