<script type="text/javascript">
    jQuery(document).ready(function () {
        {if $oPollTopic->getMultivote() && $oPollTopic->getMultivoteUseOrder()}
        $(".expoll-poll").sortable(
                {
                    stop: function (event, ui) {
                        ls.expoll.updateMultivoteOrder(this, {$oPollTopic->getMultivoteCount()});
                    }
                });
        {/if}
        {if $oPollTopic->getMultivote()}
        ls.expoll.multivote_count[{$oPollTopic->getId()}] ={$oPollTopic->getMultivoteCount()};
        {/if}
        ls.lang.load({lang_load name="plugin.expoll.error_max_answer_count"});
    });
</script>
<section data-topic_id='{$oPollTopic->getId()}' data-multivote_count='{$oPollTopic->getMultivoteCount()}' class="expoll-voting-section block{if $oPollTopic->getExpollQuestionsAfter() && !$bBlock} expoll-after{/if}">
    <div class="expoll-body">
        <div class="block-content">
            {if $oPollTopic->getExpollTitle() && !$bBlock}
                <div class="expoll-poll-title">
                    {$oPollTopic->getExpollTitle()|escape:'html'}
                </div>
            {/if}
            <form action="" method="post" onsubmit="return false;" class="expoll-form">
                <input type="hidden" name="topic_id" value="{$oPollTopic->getId()}"/>

                <div class="expoll-tip">
                    {if !$oPollTopic->getMultivote()}
                        {$aLang.plugin.expoll.msg_vote_single}
                    {elseif $oPollTopic->getMultivoteUseOrder()}
                        {$aLang.plugin.expoll.msg_vote_multi_order}
                        {if $oPollTopic->getMultivoteCount()>0}
                            {$oPollTopic->getMultivoteCountMsg()}
                        {/if}
                    {else}
                        {$aLang.plugin.expoll.msg_vote_multi}
                        {if $oPollTopic->getMultivoteCount()>0}
                            {$oPollTopic->getMultivoteCountMsg()}
                        {/if}
                    {/if}
                </div>
                <ul class="expoll-poll expoll-voting">
                    {foreach from=$aExpollQuestions.text item=sExpollQuestionText key=sExpollKey}
                        {assign var=sTemp value=PluginExpoll::GetTemplateFilePath('PluginExpoll','inject_vote_question.tpl')}
                        {include file=$sTemp sExpollQuestionId=$aExpollQuestions.id[$sExpollKey]}
                    {/foreach}
                </ul>
                {if $bExpollCanVote}
                    <button type="button" class="button input-text input-width-full button-width-half-right js-expoll-vote">{$aLang.plugin.expoll.msg_vote}</button>
                    <button type="button" class="button input-text input-width-full button-width-half-left js-expoll-abstain">{$aLang.plugin.expoll.msg_vote_abstain}</button>
                {else}
                    <button type="button" class="button input-text input-width-full button-width-full">{$aLang.plugin.expoll.msg_vote_unregistered}</button>
                {/if}
            </form>
        </div>
        {if $oPollTopic->getExpollTimelimit()==1 && !$oPollTopic->getExpollClosed()}
            <div class="expoll-will-be-closed">
                {$aLang.plugin.expoll.label_poll_will_be_closed}: {date_format date=$oPollTopic->getExpollTimelimitFinish() format="j F Y, H:i:s"}
            </div>
        {/if}
    </div>
</section>